Description

Legacy and GRSF stock records have been published smoothly.

However when we try to publish GRSF fishery records most of them (in the 99 %) of the cases the publishing fails with no error

messages.

More specifically the response is the following:

An error occured while publishing records for grsf

gr.forth.ics.isl.grsfservicescore.exception.GrsfPublishingException: Fatal transport error

at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.publishRecord(GrsfPublisher.java:112)

at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishRecords(PublisherClient.java:754)

at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.publishGrsfFisheries(PublisherClient.java:411)

at gr.forth.ics.isl.grsfservicescore.clients.PublisherClient.main(PublisherClient.java:964)

Caused by: java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body:

{"id":null,"knowledge_base_id":null,"product_url":null,"error":null}

The json contents of an indicative record that fails are attached

Could you check?

History

#1 - May 25, 2018 10:06 AM - Pasquale Pagano

- Priority changed from Normal to Immediate

#2 - May 25, 2018 10:38 AM - Luca Frosini

- Category set to Default

- Status changed from New to In Progress

- % Done changed from 0 to 50

It seems related to a typo (a had 'fishing uni' without the t) and this causes the issue.

I'm going to fix it and redeploy the service

#3 - May 25, 2018 10:42 AM - Luca Frosini

- % Done changed from 50 to 90

@roberto.cirillo@isti.cnr.it I fixed such an issue. Can you please redeploy GRSF web service in production?

#4 - May 25, 2018 10:48 AM - Roberto Cirillo

Luca Frosini wrote:

@roberto.cirillo@isti.cnr.it I fixed such an issue. Can you please redeploy GRSF web service in production?

 Done

#5 - May 25, 2018 10:50 AM - Luca Frosini

- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

May 03, 2025 1/2



Thank you @roberto.cirillo@isti.cnr.it 

@marketak@ics.forth.gr can you restart the process?

#6 - May 25, 2018 10:58 AM - Yannis Marketakis

Thank you

I'm starting over now

#7 - May 25, 2018 11:21 AM - Yannis Marketakis

- Status changed from Feedback to Closed

I confirm that the publishing of GRSF fisheries have started without issues

Thanks again

#8 - May 25, 2018 11:38 AM - Luca Frosini

Thank you too and sorry for the issue

#9 - Jul 26, 2018 02:08 PM - Luca Frosini

- Project changed from 8 to StocksAndFisheriesKB

- Category deleted (Default)

- Target version deleted (WP05)
